clear

% Load data
% I = images   (m x n x d)
% L = lighting (3 x d) 
% M = mask     (m x n)
load('cat.mat');
[m,n,~] = size(I);

N = compute_normals(I, L);

% plot to turn in
figure
subplot(1,3,1)
imagesc(squeeze(N(:,:,1)))
axis off
subplot(1,3,2)
imagesc(squeeze(N(:,:,2)))
axis off
subplot(1,3,3)
imagesc(squeeze(N(:,:,3)))
colormap gray
axis off
